#!/bin/sh

set -x

export QML2_IMPORT_PATH=/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks:/usr/lib/arm-linux-gnueabihf/unity8/qml/utils:/usr/lib/arm-linux-gnueabihf/unity8/qml
export LD_PRELOAD=/usr/lib/arm-linux-gnueabihf/mesa/libGL.so.1
export UNITY_TESTING=1
export LANGUAGE=C
export LC_ALL=C.UTF-8
export LD_LIBRARY_PATH=/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/liblightdm:/usr/lib/arm-linux-gnueabihf/unity8/qml/mocks/libusermetrics
export UNITY_TESTING_DATADIR="/usr/share/unity8"
export UNITY_TESTING_LIBDIR="/usr/lib/arm-linux-gnueabihf/unity8"

XML_ARGS=
if [ -n "$ARTIFACTS_DIR" ]; then
    XML_ARGS=" -o $ARTIFACTS_DIR/tests/qmltests/testCarousel.xml,xunitxml "
    mkdir -p "$ARTIFACTS_DIR/tests/qmltests"
    touch "$ARTIFACTS_DIR/tests/qmltests/testCarousel.xml"
fi

'/usr/bin/xvfb-run' '--server-args' '-screen 0 1024x768x24' '--auto-servernum' '/usr/bin/qmltestrunner' '-input' '/usr/share/unity8/tests/qmltests/Components/tst_Carousel.qml' $XML_ARGS '-o' '-,txt' "$@"